Set allocator metadata
- PUT /platform/infrastructure/allocators/{allocator_id}/metadata
Sets the allocator metadata.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
Query Parameters
-
versionstring Checks for conflicts against the metadata version, then returns the value in the
x-cloud-resource-versionheader.
Responses
The allocator metadata was successfully changed (the updated JSON is returned)
The value specified is empty for at least one of the metadata tags. (code: allocators.invalid_empty_metadata_items)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response